0.238 2021-11-24
----------------


MAME Testers Bugs Fixed
-----------------------
- 07556: [Crash/Freeze] (snes.cpp) snes, snespal [ctrigger and clones]: Chrono Trigger crashes the emulator. (AmatCoder)
- 07685: [DIP/Input] sonic, cabalus, others using µPD4701A: Mapping joysticks to inputs with PORT_RESET causes problems. (Vas Crabb)
- 08118: [Crash/Freeze] Core: Error messages can crash MAME on Windows when no console is attached. (Vas Crabb)
- 08119: [Interface] Lua console: Tab completion for container keys can cause segmentation faults. (Carl)
- 08120: [Interface] Program/copyright information overflows the bottom pane on the system/software selection menus. (hap)
- 08121: [Interface] UI: Main menu does not update if emulation phase changes while it is hidden. (Vas Crabb)
- 08127: [Documentation] (taitotx.cpp) goketsuj: Title is incorrect. (J.J.Boy)
- 08132: [DIP/Input] (cop01.cpp) cop01, cop01a: DIP switches marked as unused activate invulnerability cheat. (Steven Coomber)
- 08137: [Interface] UI: Selecting “Favorites” system filter without having any entries causes a segmentation fault. (Vas Crabb)


New working clones
------------------
bootleg (Elektronika) Fowling [algestam, Milan Galcik]
bootleg (Elektronika) Monkey Goalkeeper [algestam, Milan Galcik]
Grudge Match (v00.90, prototype) [Kevin Eshbach, Brian Troha, Simzy]
Mirai Ninja (Japan, set 2) [Corrado Tomaselli]
Monster Zero (set 2) [Dillweed]
Pop'n Music 1 (ver TA-A, HDD 1.01) [Caldenza]
New HyperMan (3-in-1 with Cookie & Bibi & HyperMan) (set 2) [jordigahan]
Super Street Fighter II: The New Challengers Super 2 (USA 930911) [Genaro Rodarte]


Machines promoted to working
----------------------------
Monster Zero (set 1) [smf, Dillweed]


New machines marked as NOT_WORKING
----------------------------------
Acorn Computers Acorn A500 Development System [Nigel Barnes]
Acorn Computers Acorn A680 UNIX Evaluation System [Nigel Barnes]
Acorn Computers Acorn M4 [Nigel Barnes]
Casio CTK-2100 [Devin Acker]
Fairchild Instrument & Camera Corporation F387X PEP System [Bitsavers]
The Fast And The Furious (v3.06) [Victor Fernandez (City Game)]
Guitar Hero Arcade (v1.0.5) [Museo del Recreativo]
House Ball [Museo del Recreativo, ClawGrip]
Main Event (Destron) [Museo del Recreativo, ClawGrip]
Martian Queen [Robbbert]
Motorola SYS1121 [Luigi30]
Positron Computers Ltd Positron 9000 [Binary Dinosaurs, Nigel Barnes]
Rockin' Bowl-O-Rama (v2.1.1) [Museo del Recreativo, ClawGrip]
Roland TR-808 Rhythm Composer [afx303, DinSync]
Space Poker [Robbbert]
Stop [jordigahan, ClawGrip]


New clones marked as NOT_WORKING
--------------------------------
48 in 1 MAME bootleg (ver 3.08, HPH-V000) [anonymous]
Acorn Computers Acorn A500 Domesday Development System [Nigel Barnes]
Acorn Computers Acorn R140 [Nigel Barnes]
Acorn Computers Acorn R225 [Nigel Barnes]
Acorn Computers Acorn R260 [Nigel Barnes]
Cowboy Eight Ball (set 2) [Robbbert]
Mushiking The King Of Beetle (2K3 2ND Ver. 1.000-, China) [Jorge Valero, MetalliC, rtw]
Mushiking The King Of Beetles - Mushiking II / III / III+ (Ver. 1.000-) (Korea) [Jorge Valero, MetalliC, rtw]
Teenage Mutant Ninja Turtles (1.01) [Inkochnito, PinMAME]


New working software list additions
-----------------------------------
apple2_flop_clcracked: Winter Games (cleanly cracked) [4am, Firehawke]
apple2_flop_orig:
  The Bard's Tale III: Thief of Fate (800K 3.5"), The New Print Shop (800K 3.5"), Rocky's Boots (Version 4.1) (800K 3.5")
  [4am, Firehawke]
apple2gs_flop_orig: King's Quest: Quest for the Crown [4am, Firehawke]
archimedes_hdd: RISC OS 3.11 Applications [Nigel Barnes]
archimedes_rom: Wizzo4 3.12, Wizzo4 3.22, Wizzo5 3.12, Wizzo5 3.13, Wizzo5 3.15 [Nigel Barnes]
c64_cass:
  Ferrari Formula One, Fight Night, Fire Ant, Firelord (Hewson Consultants), First Strike (Elite Systems), Fists 'n' Throttles,
  Flight Path 737, Flying Feathers (alt), Flying Shark, Football Manager 2, Forgotten Worlds, Fort Apocalypse, Foxx Fights Back,
  Freddy Hardest, Frogger 64, Front Line, Future Knight, Galactic Games (Activision), Game Over II, Garfield,
  Garfield: Winter's Tail, Gauntlet (U.S. Gold), Gauntlet / Xevious (U.S. Gold), Ghost Chaser, Ghostbusters II, Ghosts'n Goblins,
  Ghouls'n Ghosts, Giants, Glider Rider, Go Crazy, The Gold Collection, The Gold Collection III, Golden Axe (Virgin), The Goonies,
  Grand Moster Slam, Grand Prix Selection, The Great Escape, Gremlins: The Adventure, Gremlins 2: The New Batch, Gridrunner,
  Gryphon, Gryzor (Ocean), Guadalcanal, Gunship, Gutz [The Ultimate Tape Archive Team]
entex_sag: Pac-Man 2 [Kevin Horton, Rik]
fm77av: Deep Forest [Katsura82, rockleevk, r09]
fmtowns_cd:
  Märchen Toshokan - Grimm Douwa - Ibarahime (Nemurihime), Märchen Toshokan - Grimm Douwa - Ookami to Shichihiki no Koyagi,
  Man'youshuu, Music Pro-Towns v1.3 (Naizou Ongenban),
  Towns Hyper Chiiku Ehon - Nihon Mukashibanashi Vol. 5 - Kintarou / Hanasaka Jiisan, Towns System Software V2.1 L50A [redump.org]
  Hyper Note (1992-03-03), Hyper Planet (1992-02-14), TEATA - Vision - Recording & Playback System V1.0,
  TEATA - Vision - Recording & Playback System V1.1, TEATA - Vision - Recording & Playback System V1.2 [redump.org, cyo.the.vile]
fmtowns_flop_orig:
  Tama CG-shuu - Mai [cyo.the.vile]
  Gorby no Pipeline Daisakusen [Katsura82, rockleevk, r09]
gamegear: Streets of Rage II ~ Bare Knuckle II - Shitou e no Chingonka (prototype) [smspower, VGHF]
nes:
  Airball (RetroZone), Data East All-Star Collection, Larry and the Long Look for a Luscious Lover, The Legends of Owlia,
  Mega Man 8 in 1 (PL-0006), Mystic Pillars, Nomolos - Storming the Catsle, Super Games 143 in 1 (The Best Games of NES) [anonymous]
  Ultimate Frogger Championship [KHAN Games]
  The Mad Wizard - A Candelabra Chronicle, The Rise of Amondus [Sly Dog Studios]
ngpc: Metal Slug - 1st Mission (prototype) [Brian Hargrove, Elliot Rosenberger]
pc200: Microsoft MS DOS Operating System, PC200 Promotion [Centre for Computing History]
rx78_cart: ABC Word Game, Excite Tennis [Gaming Alexandria, Alan Steremberg, Nathaniel Lockhart, Robbbert]
sgi_mips:
  Hot Mix Volume 2, Hot Mix Volume 3, IRIX 4.0.5F, Trusted IRIX /B 4.0.4 [archive.org, darkstar]
  3.10 Compilers Maintenance Update for IRIX 4.0.5, Ada95 Compiler 1.1, C++ Translator 2.1.1, C++ Translator 3.0.1,
  C++ Translator 3.1, C++ Translator 4.0, Diagnostics 4.0.5J, Diagnostics 6.0, Diagnostics 6.0.1, Digital Media 3.0,
  FORTRAN 77 Compiler 3.4, FORTRAN 77 Compiler 3.5.1, FORTRAN 77 Compiler 3.6.1, FORTRAN 77 Compiler 4.0+,
  FORTRAN 77 Compiler 4.0.2, Fortran 90 Compiler 6.1 (August 1995), IP19/IP21/IP25 Patchsets 2/97 for IRIX 6.2,
  IRIS Development Option 6.0, IRIS Development Option 6.1, IRIX 5.2 Patches #2,
  IRIX 5.2, 5.3 and 5.3XFS IP19 Required Patch Set May 1996, IRIX 5.3 Onyx RE/REII Patch December 1994,
  IRIX 5.3 Patches for Indigo2 250MHz R4400 EX/XZ/XL December 1995, IRIX 5.3 for Indigo2 Impact,
  IRIX 5.3 with 175MHz and 2MB cache support, IRIX 5.3 with XFS Patch CD, IRIX 6.0, IRIX 6.2 Fix on Fail Patches,
  IRIX 6.4 Gigabit Ethernet Patches, IRIX 6.4 Recommended/Required Patches September 1999, IRIX 6.5 Development Libraries,
  IRIX Development Foundation 1.2 for IRIX 6.5, IRIX Development Foundation 1.3 for IRIX 6.5, IRIX Patch 5.1.1.3,
  ImageVision Library 2.5, Impressario 1.1 Developer's Kit, Impressario 1.2 Developer's Kit, MIPSpro 6.1, MIPSpro 6.2,
  MIPSpro 7.2.1 Compiler Patches June 1998 for IRIX 6.2, 6.3, 6.4 and 6.5, MIPSpro 7.4, MIPSpro Power Fortran 77 6.0,
  MIPSpro Power Fortran 77 6.1, MegaDev 3.0, Network File System 6.0, Network File System 6.1, Octane I/O Patches for IRIX 6.4,
  Pascal Compiler 1.3.1, Pascal Compiler 1.4.3, Pascal Compiler 1.4.4, Power C 2.0, Power C 2.1.1,
  Power Fortran Accelerator 4.0.1 03/1994, Power Fortran Accelerator 4.0.1 04/1994, ProDev Workshop 2.5.1, ProDev Workshop 2.9.1,
  ProDev Workshop 2.9.2, RapidApp 1.1, SCSL Scientific Library 1.3 for IRIX 6.4 and 6.5,
  Silicon ArtFX - Produced by the Multimedia Design Group of the Corporate Marketing Division, Sirius Video 6.0,
  Trusted IRIS Development Option 4.0.5 EPL, Trusted IRIX /B 4.0.5 EPL, Varsity Update August 1998 for IRIX 6.2, 6.3, 6.4 and 6.5,
  WorkShop Pro MPF 2.5 [jrra.zone, darkstar]
sms:
  Thunder Blade (prototype) [HoverEel, smspower]
  Dead Angle (prototype) [smspower]
vgmplay:
  After Burner (Atari ST), Gods (Atari ST), Gyruss (Family Computer Disk System), Little Nicky (Nintendo Game Boy Color),
  Mitsume ga Tooru (NES), Race America (NES), Radikal Bikers (Nintendo Game Boy Color), Speedball (Atari ST),
  Speedball 2 - Brutal Deluxe (Atari ST), Spider-Man (Nintendo Game Boy Color) [vgmrips.net, Tafoid]
vsmile_cart:
  Alphabet Park Adventure (USA, alt 2, two chips), Alphabet Park Adventure (USA, rev. 101, alt),
  Disney/Pixar Cars - Rev It Up in Radiator Springs (USA, alt), Disney/Pixar Cars - Rev It Up in Radiator Springs (USA, alt 2)
  [skaman]


Software list items promoted to working
---------------------------------------
fmtowns_cd:
  Nemurenu Yoru no Chiisana Ohanashi [Carl, r09]
  Hyper Address Ver. 2.0, Hyper Land - Doubutsu no Sekai [cyo.the.vile]
nes:
  CoolBoy 198 in 1, CoolBoy 400 in 1, CoolBoy 400 in 1 (alt, 403 games), Exciting Boxing (Japan), Game 450 in 1, Game 500 in 1,
  Pocket Games 150 in 1, Space Shadow (Japan), Super Game 218 in 1 (JF2181), Super Game 360 in 1, Super Game 402 in 1,
  Super Mogura Tataki!! Pokkun Moguraa (Japan), Super Team Games (USA) [kmg]


New NOT_WORKING software list additions
---------------------------------------
c64_cass:
  Final Fight, Fist II: The Legend Continues, The Flintstones, Galivan, The Games: Summer Edition, The Games: Winter Edition,
  Ghostbusters (Activision), The Great Giana Sisters, Green Beret [The Ultimate Tape Archive Team]
fmtowns_cd:
  Hyper DX, Master CD - FMV-Towns Series, Teo - Mou Hitotsu no Chikyuu - Version 1.0 [redump.org]
  Teo - Mou Hitotsu no Chikyuu - Version 2.0 [redump.org, cyo.the.vile]
fmtowns_flop_orig:
  Musirou - Ongaku Kyoushitsu Ver. 2.0 [cyo.the.vile]
  Columns [Katsura82, rockleevk, r09]
nes: Mega Man 2 - 30th Anniversary Classic Cartridge [kdawg]


Translations added or modified
------------------------------
Chinese (Simplified) [YuiFAN]
Chinese (Traditional) [YuiFAN]
Greek [BraiNKilleRGR]
Portuguese (Brazil) [Felipe]
Slovak [Milan Galcik]


Merged pull requests
--------------------
- 7467: bus/vme: De-skeletonized vme_hcpu30.cpp. [shattered]
- 8673: bus/nes: Fleshed out some SA1 features, added wait states, and improved interrupts. [cam900]
- 8747: pce.cpp: Updated some comments. [kmg]
- 8749: Corrected metadata for Winter Games/The Games: Winter Edition in Apple II software lists. [Firehawke]
- 8750: coco12.cpp: Audited save state support and marked it as supported for systems. [Tim Lindner]
- 8751: machine/wd_fdc.cpp: Delay forced interrupt if write is in progress. [prime6809]
- 8752: nes.xml: Fixed cartridge RAM for several items. [kmg]
- 8753: Added skeleton driver for Motorola MVME12x systems. [Luigi30]
- 8756: Removed support for several obsolete targets, including UWP, Steam Link and Android MIPS. [Miodrag Milanović]
- 8757: ctk2000.cpp: Added preliminary Casio CTK-2100 driver. [Devin Acker]
- 8764: bus/nes: Fixed four-screen mirroring when loading loose .nes files. [kmg]
- 8765: bus/nes: Simplified 8K banking with existing parameterized function. [kmg]
- 8766: cpu/tms32031: Added TMS320VC33 support, and expanded notes. [cam900]
- 8767: sound/saa1099.cpp: Fixed output behavior when both noise and square wave are enabled. [cam900]
- 8768: bus/nes: Removed bogus mirroring and banking bits from NAMCOT 3446 emulation. [kmg]
- 8769: sgi_mips.xml: Added twenty-four items, including development tools and demos. [jrra.zone, darkstar]
- 8770: fmtowns_flop_flop_orig.xml: Added four new dumps and verified some existing dumps. [r09, cyo.the.vile, Katsura82, rockleevk]
- 8771: machine/mc68328.cpp: Cleaned up register handlers and structure. [Ryan Holtz]
- 8772: bus/nes_ctrl: Added emulation for the IGS Tap-tap Mat controller. [kmg]
- 8773: bus/nes_ctrl: Fixed Bandai Family Trainer button reads. [kmg]
- 8774: c64_cass.xml: Added twenty items (seventeen working, three not working). [The Ultimate Tape Archive Team, Steven Coomber]
- 8777: frontend: Refactored menu event handling and fixed a number of issues. [Vas Crabb]
- 8778: stop.cpp: Added skeleton driver for “Stop” (a game using LED displays with no video or sound output). [jordigahan, ClawGrip]
- 8779: machine/gt913_snd.cpp: Log two more unknown sound commands. [Devin Acker]
- 8780: fmtowns_cd.xml: Added fifteen items, replaced two items with better dumps, and added missing floppies for five items. [r09]
- 8781: machine/mc68328.cpp: Changed preprocessor macro constants to enumerated constants in device class. [Ryan Holtz]
- 8783: nes.xml: Added eight homebrew games that were released on cartridges. [anonymous, Sly Dog Studios, KHAN Games, kmg]
- 8785: nes.xml: Added a Mega Man 2 re-release (not working). [kdawg, kmg]
- 8776: sgi_mips.xml: Added forty-five items, and twelve missing CDs for existing items. [archive.org, jrra.zone, darkstar]
- 8787: m92.cpp: Updated B board references for all games. [Sergio Galiano]
- 8790: bus/nes_ctrl: Added support for the Konami Doremikko Piano Keyboard. [kmg]
- 8791: emu/screen.cpp: Flag when svg_renderer output bitmap has not changed. [Ryan Holtz]
- 8794: bus/nes_ctrl: Added support for the Bandai Hyper Shot light gun. [kmg]
- 8795: gbcolor.xml: Changed descriptive/disambiguation text in descriptions to lowercase. [ArcadeShadow]
- 8796: samcoupe_cass.xml: Corrected list description. [ArcadeShadow]
- 8797: cps1.cpp: Corrected settings for sf2cejx and sf2hfj two player mode DIP switch. [Sergio Galiano]
- 8799: lwriter.cpp: Added lwriter rev2 ROM as a BIOS option. [Jeff Muizelaar]
- 8800: bus/nes: Fixed samples not playing in Famicom Aerobics Studio. [kmg]
- 8802: houseball.cpp: Added skeleton driver for Olakoa House Ball (clone of Taito Ice Cold Beer). [Museo del Recreativo, ClawGrip]
- 8803: rbowlorama.cpp: Added skeleton driver for Namco / Cosmodog Rockin' Bowl-O-Rama (v2.1.1). [Museo del Recreativo, ClawGrip]
- 8806: amiga_hdd.xml: Added manufacturer name to list description. [ArcadeShadow]
- 8808: 3rdparty/genie: Define _FILE_OFFSET_BITS=64 on Linux to handle building on large disks better. [Matthew Barnes]
- 8809: dmainevent.cpp: Added skeleton driver for electromechanical game Main Event (Destron). [Museo del Recreativo, ClawGrip]
- 8817: bus/nes_ctrl: Added support for the Konami Exciting Boxing air bag controller. [kmg]
- 8818: taitotx.cpp: Fixed goketsuj title (MT08127). [kmg]
- 8819: sms.xml, gamegear.xml: Added two Master System prototypes and one Game Gear prototype. [smspower, HoverEeel, kmg]
- 8820: rawthrillspc.cpp: Added skeleton drivers for two games. [Victor Fernandez (City Game), Museo del Recreativo, ClawGrip]
- 8822: vsmile_cart.xml: Added four working items. [skaman, ClawGrip]
- 8824: c64_cass.xml: Added thirty-four items (28 working, six not working). [The Ultimate Tape Archive Team, Steven Coomber]
- 8825: snowbros.cpp: Added New HyperMan (3-in-1 with Cookie & Bibi & HyperMan) (set 2). [jordigahan, ClawGrip]
- 8826: nes.xml: Updated the rest of the Bandai Family Trainer games to fully working. [kmg]
- 8827: bus/nes_ctrl: Updated Bandai Power Pad code, and promoted all games that use it to working. [kmg]
- 8829: Updated Greek Translation. [BraiNKilleRGR]
- 8830: lwriter.cpp: Add lwriterplus rev42 ROM as a BIOS option. [Jeff Muizelaar]
- 8832: cop01.cpp: Added description for invulnerability cheat DIP switches (MT08132). [Steven Coomber]
- 8833: bus/nes: Added partial emulation for unlicensed game Dragon Fighter. [kmg]
- 8834: hh_sm510.cpp: Added Elektronika Fowling (bootleg Mickey Mouse conversion). [algestam, Milan Galcik]
- 8836: Updated Brazilian Portuguese translation. [Felipe, Vas Crabb]
- 8837: hh_sm510.cpp: Added Elektronika Monkey Goalkeeper (bootleg Mickey Mouse conversion). [algestam, Milan Galcik]
- 8839: ibm5150.xml, ibmpcjr_flop.xml: Moved Touchdown Football to ibmpcjr_flop.xml (GitHub #8838). [einstein95]
- 8840: bus/nes: Added support for cartridges using the SMD133 ASIC. [kmg]
- 8841: imolagp.cpp: Added a note about Ferrari 1 clone from Falgas/Videotronic. [ClawGrip]
- 8842: houseball.cpp: Fixed an error in a comment. [ClawGrip]
- 8843: video/gp9001.cpp: Updated comment with register 0x0E initialization values for remaining games. [Sergio Galiano]
- 8844: video/powervr2.cpp: Fixed the background offset calculation. [Jennifer Taylor]
- 8845: ngpc.xml: Added Metal Slug - 1st Mission (prototype). [Brian Hargrove, Elliot Rosenberger, David Haywood]
- 8846: bus/nes_ctrl: Removed device_reset() for recently updated input devices. [kmg]
- 8847: megadriv.cpp: Noted that LaserActive NEC PAC can play CD games. [cam900]
- 8848: hh_sm510.cpp: Removed uncertain IDs for Elektronika Fowling from comments. [algestam]
- 8849: fm77av.xml: Added protected Deep Forest disk images and marked existing ones as cracked. [Katsura82, rockleevk, r09]
- 8851: rawthrillspc.cpp: Added hard disk dump for The Fast And The Furious. [Victor Fernandez (City Game), ClawGrip]
- 8857: Updated Greek Translation. [BraiNKilleRGR]


Source Changes
--------------
-rgum.cpp: Improve peripheral hookups; add uPD7759 controls [AJR]

-rgum: Add preliminary inputs [AJR]

New clones marked as NOT_WORKING
--------------------------------
48 in 1 MAME bootleg (ver 3.08, HPH-V000) [anonymous]

-novag_diablo: fix lockup problem at fresh start [hap]

Machines promoted to working
----------------------------
Monster Zero (set 1) [smf, Dillweed]

New working clones
------------------
Monster Zero (set 2) [Dillweed]

-boosting the interleave during three way cpu communications speeds up Monster Zero protection check [smf-]

-sfx/monsterz: improve bullets x offset [hap]

-monsterz: only uses 1 button for shooting [hap]

-galaxian: fix typo [hap]

-monsterz: use galaxian stars instead of scramble [hap]

-plugin/data: handle multiple blocks in dat [cracyc]

-strconv: avoid msvc debug assertion [Patrick Mackinlay]

-esripsys: fix debugger crash [Patrick Mackinlay]

-plugins/data: srcclean [Vas Crabb]

-sfx/monsterz: add kludge for sprite y offset issue [smf]

-powerpc: add power family disassembly [Patrick Mackinlay]

-facit4440: Updates based on schematics [AJR]

-pce.cpp: Updated some comments. (#8747) [0kmg]

-apple2{,gs}_flop_{clcracked,orig}.xml: Corrected metadata for Winter Games/The Games: Winter Edition. (#8749) [Firehawke]
 * apple2gs_flop_clcracked.xml: Corrected disk size of SQ2.

New working software list additions (apple2_flop_orig.xml)
----------------------------------------------------------
Rocky's Boots (Version 4.1) (800K 3.5") [4am, Firehawke]
The Bard's Tale III: Thief of Fate (800K 3.5") [4am, Firehawke]
The New Print Shop (800K 3.5") [4am, Firehawke]

New working software list additions (apple2gs_flop_orig.xml)
------------------------------------------------------------
King's Quest: Quest for the Crown [4am, Firehawke]

-macp.cpp: added some flesh to the skeleton. 2 games are playable. [Robbbert]

-macp.cpp: Fix clang error: operator '?:' has lower precedence than '|'; '|' will be evaluated first
 [-Werror,-Wbitwise-conditional-parentheses]

-macp: wrong value was being used. [Robbbert]

Added new working clone
-----------------------
Pop'n Music 1 (ver TA-A, HDD 1.01) [smf, Caldenza]

-powerpc: reduce enum scope [Patrick Mackinlay]

-nes.xml: Various WRAM fixes and more. (#8752) [0kmg]
 * Black Bass games: Mirroring confirmed from solder pads. Marked as not supported since they aren't at all playable.
 * Added battery-backed WRAM to various games. Save games should now work where relevant.
 * Added regular WRAM to various games. These prototypes now work: Chip's Challenge, Mickey Mouse Dream Balloon, Scarabeus, SMB2
    (US).

-Remove pnacl remains [Miodrag Milanovic]

-Remove steamlink [Miodrag Milanovic]

-Remove CI20 [Miodrag Milanovic]

-cmake target was not very useful [Miodrag Milanovic]

-rpi target was not used, but regular linux one anyway [Miodrag Milanovic]

-mips platform is not supported for Android for some time [Miodrag Milanovic]

-xcode4 and ios removal [Miodrag Milanovic]

-Remove old VisualStudio [Miodrag Milanovic]

-fastbuild removal [Miodrag Milanovic]

-vs2019_clang target is now used instead of vsllvm [Miodrag Milanovic]

-Remove of winstore/winphone [Miodrag Milanovic]

-Remove uwp from build system [Miodrag Milanovic]

-Remove uwp specific sources [Miodrag Milanovic]

-Remove OSD_UWP from rest of code [Miodrag Milanovic]

-remove uwp column [Miodrag Milanovic]

-Few more leftovers removed [Miodrag Milanovic]

-render/d3d: Replaced some locale-sensitive configuration parsing code. [Vas Crabb]

-allied, g627, spectra: added save-state and external outputs support. [Robbbert]

-cps2.cpp: corrected some overdumps for avsp [Guru]

-rgum.cpp: identified some dips, minor comments update [Ivan Vangelista]

-new NOT_WORKING machine (Casio CTK-2100) (#8757) [Devin Acker]
 * ctk2100: preliminary work
 * ctk2100: possible keyboard hookup
 * ctk2100: hook up rudimentary timers
 * ctk2100: add ports and hook up the LCD
 * ctk2100: timer tweaks, input tweaks
 * ctk2100: fix I/O port reads (stops constant LCD resets)
 * gt913: increase key polling rate (fixes ctk2100 test mode)
 * ctk2100: add ADCs, clean up and comment some other stuff
 * lpc210x: add the PL190 VIC here too while i'm at it
 * vic_pl192: fix clang build
 * unidasm: add gt913

New working software list additions
-----------------------------------
entex_sag: Pac-Man 2 [Kevin Horton, Rik]

-mjkjidai.cpp: identified coinage dips, very minor cleanups [Ivan Vangelista]

-apple2gs_flop_clcracked.xml: fixed sha1 for gpcirc [Ivan Vangelista]

New working clones
------------------
Grudge Match (v00.90, prototype)  [Kevin Eshbach, Brian Troha, simzy]

-gts80: fixed mistakes in comments [Robbbert]

-Debug memory view improvements [AJR]
 * Add options for 1-byte, 2-byte, 4-byte and 8-byte octal data display, which are selected automatically for memory spaces
    configured as octal. Octal data has also been made editable.
 * Add options for displaying addresses in decimal or octal as alternatives to the typical hexadecimal format. This also affects the
    address expression box.
 * Prevent the cursor from moving left from the first address or right from the maximum address.
   - Note that the new options have only been hooked up for the Qt debugger. The Windows and OS X debuggers should also be updated
      to include them.

-debugger/qt/memorywindow.cpp: Remove leftover printf [AJR]

-pc8801_flop.xml:  Fixed sha1 length issue with commented rom. [Scott Stone]

-cococart.cpp: Fix copy-and-paste mistake [AJR]

-amstrad: Return 0xFF on PPI port A when the PSG is inactive.  Fixes Puzzle Bobble. [Barry Rodewald]

-bus/nes: Fixed 4-screen mirroring when loading loose .nes files. (#8764) [0kmg]
 * Also, tweaked logging so newer .nes files show backwards compatible fields.

-debugger: support octal on the Mac native debugger [R. Belmont]

-bus/nes: Simplify 8K banking with existing parameterized function. (#8765) [0kmg]
 * bus/nes: Simplify 8K banking with existing parameterized function.
 * remove some useless semicolons

-bus/nes: Removed bogus mirroring and banking bits from NAMCOT 3446. (#8768) [0kmg]

-selmenu: fix wrongly placed messagebox [hap]

-fanucspmg: add correct contact url to comment [hap]

-mc68328: Cleaned up register handlers and structure. [Ryan Holtz] (#8771) [MooglyGuy]

-saa1099.cpp: Fix output behavior when both noise and tone are enabled (#8767) [cam900]

-bgfx: fix flurry of bogus warning messages [hap]

-screen: fix buffer overflow crash with VIDEO_VARIABLE_WIDTH screens [AmatCoder]

-removed leftover [Miodrag Milanovic]

New working clones
------------------
Super Street Fighter II: The New Challengers Super 2 (bootleg, USA 930911) [Genaro Rodarte]

-fmtowns_flop_*.xml: 4 new dumps, verified originals (#8770) [r09]
 * Verified the Futoppara FD Heisei disks as dumped from original disks and moved them to fmtowns_flop_orig.xml [cyo.the.vile]
 * Removed the old handcrafted Columns image

New working software list additions (fmtowns_flop_orig.xml)
-----------------------------------------------------------
Gorby no Pipeline Daisakusen [Katsura82, rockleevk, r09]
Tama CG-shuu - Mai [cyo.the.vile]

New not working software list additions (fmtowns_flop_orig.xml)
---------------------------------------------------------------
Columns [Katsura82, rockleevk, r09]
Musirou - Ongaku Kyoushitsu Ver. 2.0 [cyo.the.vile]

-sgi_mips: new software list additions from jrra.zone (#8769) [Michael D]

New clones marked as NOT_WORKING
--------------------------------
Teenage Mutant Ninja Turtles (1.01) [Inkochnito, PinMAME]

-plugins/console: fix crash [cracyc]

-osdcore: fix buffer overflow with osd_output stack [hap]

New machines marked as NOT_WORKING
----------------------------------
F387X PEP System [Bitsavers]

-f8: Add callback for overriding the normal reset address [AJR]

-frontend: Refactored menu event handling and fixed a number of issues. (#8777) [Vas Crabb]
 * Moved common code for drawing about box, info viewer, and other text box menus to a base class; removed the last of the info
    viewer logic and the multi-line item hack from the base menu class.
 * Added previous/next group navigation for general inputs and plugin input selection menus.
 * Moved message catalog logic to lib/util, allowing osd and emu to use localised messages.
 * Made the base menu class use the UI manager’s feature for holding session state rather than a static map and mutex.
 * Improved menu event handling model, and fixed many issues, particularly with menus behaving badly when hidden/shown.
 * Added better support for menus that don’t participate in the usual menu stack, like the menuless sliders and the save/load state
    menus.
 * Made a number of menus refresh state when being shown after being hidden (fixes MT08121 among other issues).
 * Fixed indication of mounted slot option in the slot option details menu.
 * Improved appearance of background menus when emulation isn't running - draw all menus in the stack, and darken the background
    menus to make the edges of the active menu clearer.
 * Fixed locale issues in -listxml.

-debugger: Made GUI debuggers more uniform. [Vas Crabb]
 * Added new memory view features to Win32 debugger.
 * Fixed spelling of hexadecimal in Cocoa debugger and added decimal address option.
 * Fixed duplicate keyboard shortcut in Cocoa debugger (Shift-Cmd-D was both new device window and 64-bit float format).
 * Made keyboard shortcuts slightly more consistent across debuggers.

-plugins: Moved input selection menu and sequence polling code to a common library.  Fixed the issue that prevented keyboard inputs
 being mapped with -steadykey on. [Vas Crabb]

-docs: Started adding some documentation for MAME's internal UI, and updated the list of example front-ends. [Vas Crabb]

-Regenerated message catalog sources.  For translators, the new strings are mostly: [Vas Crabb]
 * The names of the inputs provided by the OS-dependent layer for things like fullscreen and video features. These show up in the
    user interface inputs menu.
 * The names for automatically generated views. These show up in the video options menu - test with a system with a lot of screens
    to see more variants.
 * The input macro plugin UI.
 * A few format strings for analog input assignments.
 * A few strings for the about box header.

-frontend: Make all the textbox menus use the custom navigation flag, on the off chance they become scrollable somehow. [Vas Crabb]

-ctk2100: added to mame.lst [Robbbert]

-bus/nes_ctrl: Fixed Family Trainer button reads. (#8773) [0kmg]
 * Column input reads now are now shifted to correct bit, fixing reads for top two rows.
 * Button presses are correctly 0 bits.
 * Multiple rows can be scanned per read.
 * Flipped key bindings on mat side A - now left/right correspond to left/right on mat.

-gt913: log two more unknown sound commands (#8779) [Devin Acker]

-gts3, gts3a: WIP [Robbbert]

-Fix various usability issues: [Vas Crabb]
 * frontend: Made it so you can press UI On Screen Display to hide the Analog Controls menu and see the response to your inputs
    without the risk of changing settings, and see more axes at once and scroll them for systems with very large number of axes.
    Also ensure the axis being configured is visible when the menu is visible, and made the menu behave a bit more like the system
    input assignments menu (including previous/next group navigation).
 * frontend: Allow Lua to draw to the UI container - this addresses the main complaint in #7475.  Note that drawing to the UI
    container will draw over any UI elements, including menus.  Plugins can check menu_active to avoid drawing over menus.  Also
    removed some unnecessary use of sol::overload.
 * frontend: Improved info/image box navigation on the system/softwre selection menus, and cleaned up some leftover code that came
    from the copy/pasted event handling functions.
 * frontend: Fixed sliders menu not handling Alt+Shift as intended (thanks Coverity).  Fixed a couple of harmless Coverity errors,
    too.
 * emu/inpttype.ipp: Made the default assignment for Save State recognise right shift.
 * plugins: Added next/previous group navigation to input macro edit menu.
 * docs: Added basic description of the system and software selection menus, and corrected a couple of errors in the Lua reference.

-docs: Fix an error in the Lua reference that I copy/pasted without noticing. [Vas Crabb]

-plugins: Moved the timecode recording functionality to a plugin. [Vas Crabb]

-plugins: Fixed obligatory copy/paste error in new timecode plugin. [Vas Crabb]

-mc68328: Moved #define macros into enums within the class. (#8781) [Ryan Holtz]

-Fixed Windows build as well - default input overrides in OSD modules are annoying. [Vas Crabb]

-at: correct mba032q year typo [hap]

-emu/ioport.cpp: Fixed "MAME lost my joystick settings!!!1!11! [Vas Crabb]

-plugins: Gave the timecode plugin an option to count emulated frames. [Vas Crabb]

-emu/ioport.h: Fixed stupid mismatched friend declaration that GCC blithely ignores. [Vas Crabb]

new NOT_WORKING clone
---------------------
Mushiking The King Of Beetle (2K3 2ND Ver. 1.000-, China) [Jorge Valero, MetalliC, rtw]

-bus/nes_ctrl: Added emulation for IGS Tap-tap Mat controller. (#8772) [0kmg]
 * Refactored Family Trainer and Tap-tap Mat into common base class.

Software list items promoted to working (nes.xml)
-------------------------------------------------
Super Mogura Tataki!! Pokkun Moguraa (Japan) [0kmg]

-emu/ioport.cpp: Made default behaviour better. [Vas Crabb]
 * If an input is configured to some combination of controls that are not present at all, ignore the setting altogether for the
    session.
 * Fixed relative axes with PORT_RESET not responding to absolute controls (MT07685).
 * Fixed relative axes not responding to an absolute control if the value doesn’t change every frame (eg. holding a stick against
    the stop).
 * Changed the scaling for absolute controls assigned to relative axes to make defaults more sane (e.g. arkanoid or spdheat with a
    joystick).

-frontend: Fixed some localisation issues in Analog Controls menu. [Vas Crabb]

-docs: Added documentation on assigning inputs. [Vas Crabb]

-emu/ioport.cpp: Fixed some default setting handling issues. [Vas Crabb]
 * Issues were unlikely to actually manifest unless you use controller configuration files to change specific system input defaults.

-src/emu/output.h: Added size accessor to multi-element output finder. [Vas Crabb]
 * std::size will work on the top rank of an outut finder now.  Sorry for hitting emu.h again so soon.

-lua: Exposed a couple more input related things. [Vas Crabb]
 * Exposed constructor and a few methods on input_seq required for scripts to properly clear assignments or restore default
    settings.
 * Exposed ioport_manager::set_type_seq which is required to configure general input assignments properly.
 * Removed unnecessary use of sol::overload in favour of optional parameters.
 * Updated documentation and also fixed a few errors.

-docs: Added description for axis setting assignments. [Vas Crabb]

-gp_1, gp_2 : WIP. Added some of the missing roms to mbossy. [Robbbert]

-luareference.rst: Clarify contract of as_hz, as_khz and as_mhz [AJR]

-plugins: Simplify logic in autofire and inputmacro plugins to try and avoid leaking state across sessions. [Vas Crabb]

-plugins: Ensure state is destroyed on stop. [Vas Crabb]

-frontend: Don't let the non-menus get as far as trying to draw. [Vas Crabb]

-Two small fixes (bad menu flags in cheat plugin, copy/paste in docs). [Vas Crabb]

-plugins: fix cheatfind menu flags and write xml cheat text to ui container so it's not sideways on rotated screens [cracyc]

-plugins/cheat: one more flag [cracyc]

-m68kfpu: bug fix for fmovem with empty register list [Patrick Mackinlay]

-hh_melps4: add gakken frogger note [hap]

-plugins: Reduced amnesia for autofire and inputmacro plugins. [Vas Crabb]
 * Made autofire and inputmacro plugins capable of remembering settings if the host input device for the binding is missing or if an
    input for a slot device that isn't present is referenced.

-nes.xml: Added some homebrew games released on cartridge. (#8783) [0kmg]

New working software list additions
-----------------------------------
Airball (RetroZone) [anonymous]
Larry and the Long Look for a Luscious Lover [anonymous]
The Legends of Owlia [anonymous]
The Mad Wizard - A Candelabra Chronicle [Sly Dog Studios]
Mystic Pillars [anonymous]
Nomolos - Storming the Catsle [anonymous]
The Rise of Amondus [Sly Dog Studios]
Ultimate Frogger Championship [KHAN Games]

-m92.cpp: update B board references for all games (#8787) [Sergio G]

-st_mp100,st_mp200: WIP. Fixed some long-standing mistakes. Moved blkshpsq to the correct driver. [Robbbert]

-st_mp100: Black Sheep cleanup [Robbbert]

New machines marked as NOT_WORKING
----------------------------------
Space Poker  [Robbbert]

-plugins: Rewrote timer plugin fixing multiple issues. [Vas Crabb]
 * Added emulated time recording as well as wall clock time.
 * Fixed recording time for multiple software items per system.  An incorrect constraint on the database table meant that time was
    only being recorded for a single software item per system.
 * Detect the "empty" driver so the time spent at the selection menu isn't recorded (you'd get multiple entries for this due to the
    way options leak when returning to the system selection menu).
 * Included schema migration code to update existing timer plugin databases.  Also replaced some unnecessary floating point code
    with integer maths, added log messages, and made the plugin unload unload its database access code during emulation.
 * Changed other plugins' use of paths with trailing slashes as this causes stat to fail on Windows.

-Enabled complex combinations for analog axes: [Vas Crabb]
 * Made it possible to add digital controls to axis settings as enables.
 * Mix multiple analog controls assigned to an axis setting.
 * Added a "reverse" modifier for analog controls (useful with mixing).
 * Fixed an issue assigning mouse axes using multiple mouse-like devices with -nomultimouse.

-frontend: More cleanup: [Vas Crabb]
 * Got rid of some abuse of "special main menus".
 * Added a helper class for auto-pause menus that don't spawn submenus.
 * Got rid of the fake menu that schedules an exit on the first frame.
 * Turned the confirm quit prompt into a menu, eliminated one more special-cased event loop.
 * Fixed the confirm quit prompt resuming if you return to emulation if you weren't paused to begin with.

-bus/centronics: Fixed conflicting DIP locations, reversed order and inverted polarity for Epson printers. [Vas Crabb]
 * Also added the LX-810 (without L suffix) DIP switches for reference - we don't have a device for this printer yet.

-input: Clarify docuemntation and a comment. [Vas Crabb]

-frontend: Remove no-longer-needed member of save/load state menu. [Vas Crabb]

-frontend: Allow cycling modifiers for an absolute axis by pressing repeatedly without going through an append step. [Vas Crabb]

-svg_renderer: Flag when output contents have not changed. [Ryan Holtz] (#8791) [MooglyGuy]

-cps1: fix small issue with stars palette cycling [Loïc Petit]

-nes.xml: Added a Mega Man 2 re-release. (#8785) [0kmg]

New NOT_WORKING software list additions
---------------------------------------
Mega Man 2 - 30th Anniversary Classic Cartridge [kdawg]

-cps1: remove unneeded ( ) [hap]

-upd4701: Change input update method to not use PORT_RESET [AJR]

-hh_sm510: typo in comment [hap]

-tms34010: Clarify that not all illegal opcodes are actually trapped; separate TMS34020 emulation better [AJR]

-fixes for variables set but not used [smf-]

-coco: audit save state and enable it (#8750) [tim lindner]

new NOT_WORKING clone
---------------------
Mushiking The King Of Beetles - Mushiking II / III / III+ (Ver. 1.000-) (Korea) [Jorge Valero, MetalliC, rtw]

-ltd.cpp: WIP. Added sound. [Robbbert]

New machines marked as NOT_WORKING
----------------------------------
Martian Queen [Robbbert]
Cowboy Eight Ball (set 2) [Robbbert]

-samcoupe_cass: Corrected software list description (#8796) [ArcadeShadow]
 * Corrected software list description

-New NOT_WORKING machine (#8778) [ClawGrip]
 * arcade.lua: Add stop.cpp

New NOT_WORKING machine
-----------------------
Stop [jordigahan, ClawGrip]

-laserbas.cpp: Fixed a bug in sound output, improved trackball handling. [Vas Crabb]

-taito_h.cpp: Moved Syvalion trackball handling to a derived class, reduced copy/paste in I/O handler function. [Vas Crabb]

-Various small cleanups to drivers. [Vas Crabb]

-plugins: Work around menu not remembering selection when ref is nullptr. [Vas Crabb]

-frontend: Don't inappropriately truncate text in menu text boxes. [Vas Crabb]

-osd/windows: Handle WM_UNICHAR. [Vas Crabb]

-taito_h.cpp: Fixed dleague vertical blanking interrupt. [Vas Crabb]

-frontend: Added input provider module options to menu, worked around machine options not showing modules. [Vas Crabb]

-wd_fdc: Wait for sector read/write to complete on interrupt d0-7, fixes rmnimbus floppy access errors [prime6809]

-Revert "-svg_renderer: Flag when output contents have not changed. [Ryan Holtz] (#8791)" [hap]
 * This reverts commit b0ac175b4942e4b29098823773ff2d50b6ac35a9.

-stv.cpp: Removed most run time I/O port lookups and removed PORT_RESET. [Vas Crabb]
 * IOGA port G counter reset is emulated correctly now.
 * Increased sensitivity for patocar trackball – it seemed too slow with mouse or analog stick.

-frontend: Handle analog controls with high sensitivity numbers better. [Vas Crabb]

-arcadia.cpp: Removed commented PORT_RESET - it makes no sense for joysticks anyway. [Vas Crabb]

-cps1.cpp: Fixed 2 players mode DIP switch for sf2cejx and sf2hfj.  (#8797) [Sergio G]
 * Looks like Capcom inverted the default configuration (OFF) to set "2 Credits/Continue" option by default in "sf2cejx" and
    "sf2hfj", instead "1 Credit/No Continue" present in "sf2jx".

-a1supply.cpp: corrected clock [Ivan Vangelista]

-amiga_hdd: Corrected description (#8806) [ArcadeShadow]
 * Corrected the software list's description (added the manufacturer's name)

-techno.cpp: WIP, added sound. [Robbbert]

-ltd.cpp: split into derived classes [Robbbert]

-diablo68a: correct romlabels [hap]

-bus/nes_ctrl: Added support for Doremikko piano keyboard. (#8790) [0kmg]

-genie: Define _FILE_OFFSET_BITS=64 on Linux. (#8808) [Matthew Barnes]

-vd.cpp: Both games working [Robbbert]

-rtpc: complete on-disk post routines [Patrick Mackinlay]

-wico.cpp: Added outputs & save-state support. [Robbbert]

-m740: STY ZP should store Y, not X (IIgs ADB MCU @ $FF15) [R. Belmont]

-osd/windows: Show error message box on a separate thread (see MT08118). [Vas Crabb]

-emu/emuopts.cpp: Default to built-in UI language rather than English. [Vas Crabb]
 * The external English message catalog is a placeholder anyway.

-cpu/mcs48: Corrected comments - D87xxH have UVEPROM, not EEPROM. [Vas Crabb]

-taitotx.cpp: Fixed goketsuj title (MT 08127). (#8818) [0kmg]

-bus/nes_ctrl: Added support for Bandai Hyper Shot light gun. (#8794) [0kmg]

Software list items promoted to working (nes.xml)
-------------------------------------------------
Space Shadow (Japan) [0kmg]

-saitek_osa/sparc: added another version romset [Berger]

-pockchalw.xml: redumped 4 carts which were previously underdumped [skaman]

-osd/windows: Fixed stupid potential deadlock on exit. [Vas Crabb]

-frontend: Some changes to menu item class that will make it possbile to reduce the number of menu rebuilds. [Vas Crabb]

-osd/windows: Don't set parent window for error message box - it doesn't appreciate the parent being pulled out from under it.
 [Vas Crabb]

-lwriter.cpp: Add support for lwriter rev2 ROM (#8799) [Jeff Muizelaar]

-bus/nes: Fixed samples not playing in Famicom Aerobics Studio. (#8800) [0kmg]

-micropin.cpp: pentacup working, and WIP for pentacup2. Split into derived classes. [Robbbert]

-frontend: Various minor improvements. [Vas Crabb]
 * Made a few more menus reset values to the default in response to the UI clear input.
 * Made the minimum info text size less unreasonable, and fixed a locale issue in the font/size selection menu when parsing option
    strings.
 * Made the keyboard mode menu toggle items on double click or UI select.
 * Made the menuless sliders menu remember the last slider shown (this probably broke when sliders were moved out of the UI manager
    itself).
 * Made a few menus just update the highlighted options when it's adjusted rather than unnecessarily rebuilding the menu.
 * Made a few more menus reset on being reactivated to cope with scripts or other things changing stuff out from under them.

-nes.xml: Updated the rest of the Family Trainer games to fully working. (#8826) [0kmg]

-3rdparty: Updated ASIO to version 1.20.0. [Vas Crabb]
 * The doc folder isn't included as it's pretty big.
 * This required include/asio/detail/win_iocp_socket_accept_op.hpp due to mismatched order in the member declarations and
    initialiser list for the win_iocp_socket_accept_op class.  I reversed the declaration order so it matches
    win_iocp_socket_move_accept_op.

-Actually commit the source changes for ASIO 1.20.0 update. [Vas Crabb]
 * Also changed the fix to ASIO itself to match the upstream change in commit cd68912b7eb07f24e501e8cbff832b61ec292eea.

-3rdparty/asio: Set x bit on scripts, since Windows git won't. [Vas Crabb]

-acorn_dsk.cpp: Fixed cell size for high density ADFS-F format. [Nigel Barnes]

-New devices for Archimedes machines: [Nigel Barnes]
 * Acorn Battery Management Unit
 * Acorn LC ASIC (preliminary)
 * Universal Peripheral Controller 82C710/82C711

-bus/centronics: Added Vertical Twist Joystick Interface (for Archimedes) [Nigel Barnes]

-archimedes_keyb.cpp: Swap Center and Right mouse buttons. [Nigel Barnes]

-machine/7200fifo.cpp: Fixed triggering of half-full flag. [Nigel Barnes]

-bus/archimedes/econet: Archimedes econet interface devices: [Nigel Barnes]
 * Econet interface (not working)
 * RTFM Joystick Interface

-bus/archimedes/podule: Various podules for Acorn Archimedes: [Nigel Barnes]
 * Acorn AGA30 BBC I/O Podule
 * Acorn AKA05 ROM Podule
 * Acorn AKA10 BBC I/O Podule
 * Acorn AKA12 User Port/MIDI Podule
 * Acorn AKA15 MIDI and BBC I/O Podule
 * Acorn AKA16 MIDI Podule
 * Acorn AKA25 Ethernet
 * Acorn Tube Podule
 * Archimedes Dual RS423 Serial Interface (not working)
 * Armadillo Systems A448 Sound Sampler (not working)
 * Armadillo Systems A448b Stereo MIDI Sound Sampler (not working)
 * Atomwide Serial Expansion Card
 * Baildon Electronics IDE HD Interface
 * Clares Armadeus Sampler Board
 * Computer Concepts Fax-Pack (not working)
 * Computer Concepts LaserDirect (Canon LBP-4) (not working)
 * Computer Concepts ScanLight (not working)
 * Computer Concepts ScanLight Junior (not working)
 * Computer Concepts ScanLight Video 256 (not working)
 * Digital Services Ethernet Podule (not working)
 * HCCS User/Analogue Podule
 * RISC Developments Ethernet Card (not working)
 * RISC Developments IDE Hard Disc System
 * VTI User Port and SCSI Podule
 * Watford Electronics BBC User I/O Card
 * Wild Vision MidiMax
 * Wild Vision/Computer Concepts Lark A16

-acorn_vidc: Implement DAC differences between VIDC1 and VIDC1a. [Nigel Barnes]

New machines marked as NOT_WORKING
----------------------------------
Acorn A500 Development System [Nigel Barnes]
Acorn M4 [Nigel Barnes]
Acorn A680 UNIX Evaluation System [Nigel Barnes]

New clones marked as NOT_WORKING
--------------------------------
Acorn A500 Domesday Development System [Nigel Barnes]
Acorn R140 [Nigel Barnes]
Acorn R225 [Nigel Barnes]
Acorn R260 [Nigel Barnes]

-aa310.cpp: [Nigel Barnes]
 * Added PC style IO devices (A5000/A4/A3010/A3020).
 * Added IDE interface (A5000/A4/A3020).
 * Added HD floppy drives (A5000/A4/A3010/A3020).
 * RTFM and Vertical Twist joystick interfaces are slot devices.
 * Acorn joystick interface (A3010).
 * Added Battery Management Unit (A4).
 * Partially implemented IOEB (A5000/A4/A3010/A3020).
 * Replaced all 8 bit wide ROM images with actual dumps.
 * Replaced all default CMOS with factory settings.
 * Added printer port to all machines.
 * Added serial port to all machines.
 * Added podule slots to all machines.
 * Added extension ROM socket (A5000/A4).
 * Machines are individually configured for floppies and hard discs.
 * Added support for Atari ST floppies.

New working software list additions
-----------------------------------
archimedes_hdd: RISC OS 3.11 Applications [Nigel Barnes]
archimedes_rom: Wizzo4 3.12, Wizzo4 3.22, Wizzo5 3.12, Wizzo5 3.13, Wizzo5 3.15 [Nigel Barnes]

-aa310.cpp: Fixed econet functions and unused variable. [Nigel Barnes]

-c64_cass.xml: Added twenty entries (#8774) [Steven Coomber]

New working software list additions
-----------------------------------
Ferrari Formula One (Activision) [C64 Ultimate Tape Archive V2.0]
Fight Night (U.S. Gold) [C64 Ultimate Tape Archive V2.0]
Final Fight (U.S. Gold) [C64 Ultimate Tape Archive V2.0]
Fire Ant (Mogul) [C64 Ultimate Tape Archive V2.0]
Firelord (Hewson Consultants) [C64 Ultimate Tape Archive V2.0]
First Strike (Elite Systems) [C64 Ultimate Tape Archive V2.0]
Fists 'n' Throttles (Elite Systems) [C64 Ultimate Tape Archive V2.0]
Flight Path 737 (Anirog) [C64 Ultimate Tape Archive V2.0]
Flying Feathers (Bubble Bus Software, alt) [C64 Ultimate Tape Archive V2.0]
Flying Shark (Firebird) [C64 Ultimate Tape Archive V2.0]
Football Manager 2 (Addictive Games) [C64 Ultimate Tape Archive V2.0]
Forgotten Worlds (U.S. Gold) [C64 Ultimate Tape Archive V2.0]
Fort Apocalypse (U.S. Gold) [C64 Ultimate Tape Archive V2.0]
Foxx Fights Back (Image Works) [C64 Ultimate Tape Archive V2.0]
Freddy Hardest (Imagine) [C64 Ultimate Tape Archive V2.0]
Frogger 64 (Interceptor Software) [C64 Ultimate Tape Archive V2.0]
Front Line (Interceptor Software) [C64 Ultimate Tape Archive V2.0]
Future Knight (Gremlin Graphics) [C64 Ultimate Tape Archive V2.0]

New NOT_WORKING software list additions
---------------------------------------
Fist II: The Legend Continues (Melbourne House) [C64 Ultimate Tape Archive V2.0]
The Flintstones (Grandslam) [C64 Ultimate Tape Archive V2.0]

-Note that I have demoted the existing Fist II (Erbe) entry as this also fails to load correctly. [Steven Coomber]

-fmtowns_cd.xml: 15 new dumps, 2 replacements, added floppies (#8780) [r09]
 * Added missing floppy disks to hypraddr2, hypland and iris [cyo.the.vile]
 * Replaced the pharmony floppy disk with a cleaner unmodified image [cyo.the.vile]
 * Replaced the royalbld bad floppy dump with a better one [cyo.the.vile]

New working software list additions
-----------------------------------
Hyper Note (1992-03-03) [redump.org, cyo.the.vile]
Hyper Planet (1992-02-14) [redump.org, cyo.the.vile]
Man'youshuu [redump.org]
Märchen Toshokan - Grimm Douwa - Ibarahime (Nemurihime) [redump.org]
Märchen Toshokan - Grimm Douwa - Ookami to Nanahiki Koyagi [redump.org]
Music Pro-Towns v1.3 (Naizou Ongenban) [redump.org]
TEATA - Vision - Recording & Playback System V1.0 [redump.org, cyo.the.vile]
TEATA - Vision - Recording & Playback System V1.1 [redump.org, cyo.the.vile]
TEATA - Vision - Recording & Playback System V1.2 [redump.org, cyo.the.vile]
Towns Hyper Chiiku Ehon - Nihon Mukashibanashi Vol. 5 - Kintarou / Hanasaka Jiisan [redump.org]
Towns System Software V2.1 L50A [redump.org]

New not working software list additions
---------------------------------------
Hyper DX [redump.org]
Master CD - FMV-Towns Series [redump.org]
Teo - Mou Hitotsu no Chikyuu - Version 1.0 [redump.org]
Teo - Mou Hitotsu no Chikyuu - Version 2.0 [redump.org, cyo.the.vile]

Replaced software list items
----------------------------
Mixed-Up Mother Goose [redump.org]
Where in the World Is Carmen Sandiego? [redump.org]

Software list items promoted to working
---------------------------------------
Hyper Address Ver. 2.0 [cyo.the.vile]
Hyper Land - Doubutsu no Sekai [cyo.the.vile]
Nemurenu Yoru no Chiisana Ohanashi [r09]

-sgi_mips: Add new softlist entries from jrra.zone and archive.org (#8786) [Michael D]
 * sgi_mips: Add new softlist entries from jrra.zone
 * more sgi_mips softlist entries from jrra.zone
 * Even more sgi_mips softlist entries
 * more SGI IRIX CDs from jrra.zone

-Build fixes for clang [AJR]

-tms9900: Fix PC display for watchpoint hits [AJR]

-bus/nes_ctrl: Updated Power Pad code. Promoted all games to working. (#8827) [0kmg]
 * Changed KEYPAD inputs to BUTTON with numbering following the pattern used in Family Trainer.
 * Removed device_reset().
 * Added proper strobe bit behavior and reading 1s on excess reads.
 * Made Running Stadium and Stadium Events games clones of World Class Track Meet, the last released variant of the same game.

-Updated Greek Translation (#8829) [BraiNKilleRGR]

-upc82c710/upc82c711: Use unscoped enum for device id's. [Nigel Barnes]

-acrnsys.cpp: Set default configuration of RAM cards. [Nigel Barnes]

-bus/archimedes/podule: Podules for Acorn Archimedes: [Nigel Barnes]
 * Baildon Electronics IDE HD Interface
 * SJ Research Nexus Interface (A500) (not working)
 * Wild Vision/Computer Concepts Eagle M2 (not working)

New working software list additions
-----------------------------------
pc200: Microsoft MS DOS Operating System, PC200 Promotion [Centre for Computing History]

-apple2gs.cpp: Checkpoint along the way to bit-serial ADB emulation. [R. Belmont]
 * macadb.cpp: Small cleanups and improved logging capability. [R. Belmont]

-lwriter.cpp: Add support for lwriterplus rev42 ROM (#8830) [Jeff Muizelaar]

-New WORKING clone (#8825) [ClawGrip]

New WORKING clone
-----------------
New HyperMan (3-in-1 with Cookie & Bibi & HyperMan) (set 2) [jordigahan]

-sms.xml, gamegear.xml: Added 2 Master System, 1 Game Gear prototypes. (#8819) [0kmg]

New working software list additions (sms.xml)
---------------------------------------------
Dead Angle (prototype) [smspower]
Thunder Blade (prototype) [HoverEel, smspower]

New working software list additions (gamegear.xml)
--------------------------------------------------
Streets of Rage II ~ Bare Knuckle II - Shitou e no Chingonka (prototype) [smspower, VGHF]

-c64_cass.xml: Added 34 entries (#8824) [Steven Coomber]

New working software list additions
-----------------------------------
Galactic Games (Activision) [C64 Ultimate Tape Archive V2.0]
Game Over II (Dinamic) [C64 Ultimate Tape Archive V2.0]
Garfield (The Edge) [C64 Ultimate Tape Archive V2.0]
Garfield: Winter's Tail (The Edge) [C64 Ultimate Tape Archive V2.0]
Gauntlet (U.S. Gold) [C64 Ultimate Tape Archive V2.0]
Gauntlet / Xevious (U.S. Gold) [C64 Ultimate Tape Archive V2.0]
Ghost Chaser (U.S. Gold) [C64 Ultimate Tape Archive V2.0]
Ghostbusters II (Activision) [C64 Ultimate Tape Archive V2.0]
Ghosts'n Goblins (Elite Systems) [C64 Ultimate Tape Archive V2.0]
Ghouls'n Ghosts (U.S. Gold) [C64 Ultimate Tape Archive V2.0]
Giants (U.S. Gold) [C64 Ultimate Tape Archive V2.0]
Glider Rider (Quicksilva) [C64 Ultimate Tape Archive V2.0]
Go Crazy (U.S. Gold) [C64 Ultimate Tape Archive V2.0]
The Gold Collection (Guild Publishing) [C64 Ultimate Tape Archive V2.0]
The Gold Collection III (U.S. Gold) [C64 Ultimate Tape Archive V2.0]
Golden Axe (Virgin) [C64 Ultimate Tape Archive V2.0]
The Goonies (U.S. Gold) [C64 Ultimate Tape Archive V2.0]
Grand Moster Slam (Golden Goblins) [C64 Ultimate Tape Archive V2.0]
Grand Prix Selection (Electric Dreams) [C64 Ultimate Tape Archive V2.0]
The Great Escape (Ocean) [C64 Ultimate Tape Archive V2.0]
Gremlins: The Adventure (Adventure International) [C64 Ultimate Tape Archive V2.0]
Gremlins 2: The New Batch (Elite Systems) [C64 Ultimate Tape Archive V2.0]
Gridrunner (Llamasoft) [C64 Ultimate Tape Archive V2.0]
Gryphon (Microbyte) [C64 Ultimate Tape Archive V2.0]
Gryzor (Ocean) [C64 Ultimate Tape Archive V2.0]
Guadalcanal (Activision) [C64 Ultimate Tape Archive V2.0]
Gunship (Microprose) [C64 Ultimate Tape Archive V2.0]
Gutz (Ocean) [C64 Ultimate Tape Archive V2.0]

New NOT_WORKING software list additions
---------------------------------------
Galivan (Imagine) [C64 Ultimate Tape Archive V2.0]
The Games: Summer Edition (U.S. Gold) [C64 Ultimate Tape Archive V2.0]
The Games: Winter Edition (U.S. Gold) [C64 Ultimate Tape Archive V2.0]
Ghostbusters (Activision) [C64 Ultimate Tape Archive V2.0]
The Great Giana Sisters (Go!) [C64 Ultimate Tape Archive V2.0]
Green Beret (Imagine) [C64 Ultimate Tape Archive V2.0]

New WORKING software list additions (#8822)
-------------------------------------------
vsmile_cart.xml: [ClawGrip]
Alphabet Park Adventure (USA, alt 2, two chips) [ClawGrip]
Alphabet Park Adventure (USA, rev. 101, alt) [ClawGrip]
Disney/Pixar Cars - Rev It Up in Radiator Springs (USA, alt) [ClawGrip]
Disney/Pixar Cars - Rev It Up in Radiator Springs (USA, alt 2) [skaman]

New NOT_WORKING machine (#8809)
-------------------------------
Main Event (Destron) [Museo del Recreativo, ClawGrip]

New NOT_WORKING machines (#8820)
--------------------------------
The Fast And The Furious (v3.06) [Victor Fernandez (City Game)]
Guitar Hero Arcade (v1.0.5) [Museo del Recreativo]

New NOT_WORKING machine  (#8803)
--------------------------------
Rockin' Bowl-O-Rama [Museo del Recreativo, ClawGrip]

New NOT_WORKING machine (#8802)
-------------------------------
House Ball [Museo del Recreativo, ClawGrip]

-gbcolor.xml : Lowercase on some description's words (#8795) [ArcadeShadow]

New NOT_WORKING machines
------------------------
Motorola MVME12x [Katherine Rohl]

-apple2gs: fix GCC compile. [R. Belmont]

-language/Slovak: Corrected character encoding in header comment. [Vas Crabb]

-Updated Chinese translations. [YuiFAN]

-frontend: Show more unemulated/imperfect features per-device in warnings menu. [Vas Crabb]

-New working clone added (#8834) [algestam]

New working clones
------------------
Fowling [algestam, Milan Galcik]

-Confirmed Chinese translations for remaining message. [YuiFAN]

-tms9995: fixed pc not displaying when watchpoint hit. [Robbbert]

-cop01.cpp: unknown dip switches enable an undocumented invulnerability cheat (MT#8132) (#8832) [Steven Coomber]
 * cop01.cpp: unknown dip switches enable an undocumented invulnerability cheat (MT#8132)

-Updated Brazilian Portuguese translation [Felipe] (#8836) [Vas Crabb]

-Removed obsolete messages from Brazilian Portuguese translation. [Vas Crabb]

-nsm.cpp: WIP. Test menu works. [Robbbert]

-apple2gs: fix regression pointed out by Coverity. [R. Belmont]

-arc_ide_be: Corrected ROM size. [Nigel Barnes]

-emu/render.cpp, emu/rendlay.cpp: Added scroll support for all elements. [Vas Crabb]

-seta: marked blockcar (Visco's Block Carnival / Thunder & Lightning 2 in seta.cpp) X1 sample ROM as BAD_DUMP as it appears to be
 half size [David Haywood]

-cps1: marked forgottnj as a prototype, it's an unfinished version of the game [David Haywood]

-houseball.cpp: Typo (#8842) [ClawGrip]

-imolagp.cpp: Add a note about clone "Ferrari 1" from Falgas/Videotronic (#8841) [ClawGrip]

-emu/render.cpp: Fixed texture size calculation for oblong items. [Vas Crabb]

-bfm_sc2.cpp: Removed reel components from sc2prem2 layout. [Vas Crabb]

New working software list additions
-----------------------------------
rx78_cart: [Robbbert]
ABC Word Game [Robbbert]
Excite Tennis [Robbbert]
[Hubz] [Robbbert]

-Added partial Slovak translation. [Milan Galcik]

-Updated localisations for UI changes in 0.238 development cycle. [Vas Crabb]
 * For tranlators, the main changes are:
   - The former "device mapping" menu is now "input device options" and includes the input provider module options.
   - The analog controls menu (where sensitivity, auto-centre, etc. is configured) is now localisable.
   - The timecode logging features (used when making gameplay videos) have been moved to a plugin, and display messages are
      localisable.
   - There are a few extra messages for the autofire and input macro plugins to handle cases where a configured input is not
      present.
   - The timer plugin has options to show wall clock time (real time elapsed according to host OS clock) or emulated time.

-debugimgui: Fix menus losing focus, add octal display and octal/decimal address select. [Barry Rodewald]

-clang fixes [smf-]

-bus/nes_ctrl: Removed device_reset() for recently updated input devices. (#8846) [0kmg]

-bus/nes_ctrl: Added support for Exciting Boxing air bag controller. (#8817) [0kmg]

Software list items promoted to working (nes.xml)
-------------------------------------------------
Exciting Boxing (Japan) [0kmg]

-ibm5150.xml, ibmpcjr_flop.xml: Moved Touchdown Football to ibmpcjr_flop.xml (fixes #8838). (#8839) [Logan B]

-Updated Chinese translations. [YuiFAN]

-bus/vme: De-skeletonized vme_hcpu30.cpp. (#7467) [shattered]

New working clones
------------------
Mirai Ninja (Japan, set 2) [Corrado Tomaselli]

-seta.cpp: removed some unneeded VIDEO_START macros [Ivan Vangelista]

-taito_x.cpp: split in subclasses, minor cleanups [Ivan Vangelista]

-New working clone (#8837) [algestam]

New working clone
-----------------
Monkey Goalkeeper [algestam, Milan Galcik]

-megadriv.cpp: note that NEC PAC can play CD games (#8847) [cam900]

-new software list entries (#8845) [David Haywood]

new software list entries
-------------------------
Metal Slug - 1st Mission (prototype) [Brian Hargrove, Elliot Rosenberger]

-naomi.cpp: fix the bg offset to be based on the param base so non-zero bases get backgrounds. (#8844) [Jennifer Taylor]

-gp9001.cpp: added initialization register (0x0E) values for remaining games (#8843) [Sergio G]

-bus/nes: Added partial code for unlicensed game Dragon Fighter. (#8833) [0kmg]

-tms32031.cpp: Add TMS320VC33 emulation support, Add notes (#8766) [cam900]

-bus/snes/sa1.cpp: Flesh out some SA1 features, Fix SNES timing, interrupt (#8673) [cam900]

New machines marked as NOT_WORKING
----------------------------------
TR-808 Rhythm Composer [afx303, DinSync]

-tr808: correct release year [hap]

-hh_sm510: small correction to fowling svg [hap]

-hh_sm510: Remove uncertain Fowling IDs (#8848) [algestam]

-emu/rendersw.hxx: Support texture wrap/clamp properly for (A)RGB formats. [Vas Crabb]
 * Also got rid of names starting with an underscore followed by an uppercase letter, as they are reserved.
 * Yes, get_texel_rgb32 and get_texel_argb32 are identical - thew were already identical before.

-tiamc1: extend kot title, there's an elektronika handheld with the same title [hap]

New machines marked as NOT_WORKING
----------------------------------
Positron 9000 [Binary Dinosaurs, Nigel Barnes]

-stargame.cpp: WIP, spcship is working [Robbbert]

-mame.lst: moved blkshpsq to the correct place. [Robbbert]

-rawthrillspc.cpp: Add HDD dump for "The Fast And The Furious" [Victor Fernandez (City Game)] (#8851) [ClawGrip]

-fm77av.xml: add protected Deep Forest image (#8849) [r09]
 * Also marked the existing one as cracked.

New working software list additions
-----------------------------------
Deep Forest [Katsura82, rockleevk, r09]

-bus/nes: Added support for boards using the SMD133 ASIC. (#8840) [0kmg]
 * bus/nes: Added support for boards using the SMD133 ASIC.

New working software list additions (nes.xml)
---------------------------------------------
Data East All-Star Collection [anonymous]
Mega Man 8 in 1 (PL-0006) [anonymous]
Super Games 143 in 1 (The Best Games of NES) [anonymous]

Software list items promoted to working (nes.xml)
-------------------------------------------------
CoolBoy 198 in 1 [0kmg]
CoolBoy 400 in 1 [0kmg]
CoolBoy 400 in 1 (alt, 403 games) [0kmg]
Game 450 in 1 [0kmg]
Game 500 in 1 [0kmg]
Pocket Games 150 in 1 [0kmg]
Super Game 218 in 1 (JF2181) [0kmg]
Super Game 360 in 1 [0kmg]
Super Game 402 in 1 [0kmg]

-apple2gs: add debugger annotations for the Animation Toolset [R. Belmont, Antoine Vignau]

-Miscellaneous #include cleanup [AJR]

-stargame.cpp: removed unneeded things [Robbbert]

-vgmplay.xml: Added 10 new entries and 1 updated entry [vgmrips.net, Tafoid]

-srcclean in preparation for release of MAME 0.238. [Vas Crabb]
 * Patched up positron.cpp input ports - you shouldn’t use PORT_NAME when the key cap label is just the characters it produces
    anyway, and you’re supposed to use the actual character a key produces for PORT_CHAR or "natural" keyboard mode/paste will be
    unnatural.

-arcade.lua: removed taito_x.h since it doesn't exist anymore [Ivan Vangelista]

-Updated Greek translation. (#8857) [BraiNKilleRGR]

-sgi_mips.xml: Removed a stray quote. [Vas Crabb]

-Minor cleanup: [Vas Crabb]
 * machine/wd_fdc.cpp: Code style consistency fixes.
 * language/Greek: Removed obsolete messages.

-fmtowns: disable FMR backwards compatibility text rendering, fixes display regression [Barry Rodewald]

-frontend: Fixed crashes switching between favourites and other filters. [Vas Crabb]
 * Also made the system and software selection menus a bit less eager to reselect the first item.

-docs: Bumped documentation version to 0.238. [Vas Crabb]

-frontend: Fixed another case where the system selection menu could get confused when changing filters. [Vas Crabb]
